-- MySQL dump 10.11
--
create database opmon4;
use opmon4;

--
-- Table structure for table `scheduled_reports`
--
CREATE TABLE `scheduled_reports` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `report_id` int(11) DEFAULT NULL,
  `contact_id` int(11) DEFAULT NULL,
  `frequency` varchar(50) DEFAULT NULL,
  `hour` int(11) NOT NULL DEFAULT '0',
  `week_day` int(11) DEFAULT NULL,
  `month_day` int(11) DEFAULT NULL,
  `date` date DEFAULT NULL,
  `scheduled_by_contact_id` int(11) unsigned DEFAULT NULL,
  `report_type` int(11) NOT NULL,
  PRIMARY KEY (`id`)
) DEFAULT CHARSET=utf8;

--
-- Table structure for table `scheduled_reports_logs`
--
CREATE TABLE `scheduled_reports_logs` (
  `id` int(11) NOT NULL auto_increment,
  `date` datetime default NULL,
  `stage` int(11) default NULL,
  `status` int(11) default NULL,
  `message` text,
  PRIMARY KEY  (`id`)
) AUTO_INCREMENT=1 DEFAULT CHARSET=utf8;

CREATE TABLE `scheduler` (
  `contact_id` int(11) NOT NULL,
  `schedule_id` int(11) NOT NULL,
  PRIMARY KEY (`contact_id`,`schedule_id`)
) DEFAULT CHARSET=utf8;
